routes_journey_information:
  namespace: "Organisms/TM - Routes"
  use: "@organisms/tm-routes/journey-information/routes-journey-information.html.twig"
  label: Journey information
  description: Journey information
  libraries:
    - routes_journey_information_lib:
        css:
          component:
            ../styles/routes-journey-information.css: { }

  fields:
    items:
      type: object
      label: Items
      description: Origin station
      preview:
        - icon: "fa-stopwatch"
          key: "average_train_time"
          label: "Average train time"
          value: "1h 23m"
        - icon: "fa-arrow-alt-to-right|fa-arrow-alt-from-left"
          key: "changes"
          label: "Number of changes"
          value: "Direct"
        - icon: "fa-rocket-launch"
          key: "fastest_train"
          label: "Fastest train"
          value: "1h 14m"
        - icon: "fa-tachometer-alt-slow"
          key: "slowest_train"
          label: "Slowest train"
          value: "2h 41m"
        - icon: "fa-sun"
          key: "first_train"
          label: "First train"
          value: "05:55"
        - icon: "fa-moon"
          key: "last_train"
          label: "Last train"
          value: "23:33"
        - icon: "fa-train"
          key: "trains_per_day"
          label: "Trains per day"
          value: "Around 36"
        - icon: "fa-arrow-alt-to-right"
          key: "direct_trains"
          label: "Direct trains"
          value: "35"
        - key: "prices_from"
    price_text:
      type: text
      label: Price text
      description: Text saying if the price is for advance or not
      preview: "Prices from"
    price:
      type: text
      label: Price
      description: Price
      preview: "24"
    journey_type_text:
      type: text
      label: Type of journey
      description: e.g. 'One-way' or 'Each-way'
      preview: "Each-way"
    return_fare_text:
      type: text
      label: Return fare text
      description: Return fare text
      preview: "*Based on a return fare."
    button_text:
      type: text
      label: Buy tickets button text
      description: Buy tickets button text
      preview: "BOOK NOW"
    button_status:
      type: text
      label: Button status
      preview: "default"
    origin_crs:
      type: text
      label: Origin CRS
      description: Origin CRS
      preview: "CBG"
    destination_crs:
      type: text
      label: Destination CRS
      description: Destination CRS
      preview: "NRW"

